Subject: Re: bug#13602: 24.3.50; remove bindings for `icomplete-minibuffer-map' - make a separate mode

From: Jambunathan K <[email-masked]>
Date: Wed, 06 Feb 2013 09:12:12 +0530

Juri Linkov <[email-masked]> writes:

>> I don't particularly or personally need any of the keys you propose to have
>> Icomplete bind, for any other purpose.
>
> I for one just disabled `icomplete-mode' in ~/.emacs when it got
> added ido keybindings, waiting in the hope that someone will implement
> `icomplete-mode-without-ido-keybindings' :-)
>
> Without ido keybindings `icomplete-mode' is useful to see all possible
> completions to be able to decide what the minimal length of the
> completion string is sufficient to type.

I would have started this paragraph with: "With or without ido
keybindings".  Ido keybindings only adds cycling, it doesn't mess with
the display.  It is not clear to me how "Without ido keybindings" makes
it "useful to see all completions" .

If you want bigger real-estate you can tweak the icomplete-separator
option.

> For instance, with the intention to run `grep-find' typing `M-x gr' shows
> "gr(ep){| -find | -mode}" that hints that the shortest string to type is
> "gr-f" which could be remembered as the shortest alias for "grep-find".